#
# spec file for package perl-Image-Info
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Image-Info
Version:        1.39
Release:        8.1
%define cpan_name Image-Info
Summary:        Extract meta information from image files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Image-Info/
Source0:        http://www.cpan.org/authors/id/S/SR/SREZIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::Scalar)
Requires:       perl(IO::Scalar)
Recommends:     perl(Bundle::Image::Info::PNG)
Recommends:     perl(Bundle::Image::Info::SVG)
Recommends:     perl(Bundle::Image::Info::XBM)
Recommends:     perl(Bundle::Image::Info::XPM)
%{perl_requires}

%description
This module provide functions to extract various kinds of meta information
from image files.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES CREDITS exifdump imgdump README TODO

%changelog
* Sun Feb 26 2017 chris@computersalat.de
- fix for boo#1008647 (CVE-2016-9181)
  * XXE in SVG files
- updated to 1.39
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2016-10-08  Slaven Rezic  <slaven@rezic.de>
    Release 1.39
    Stable release with all changes in 1.38_50..1.38_51
  2016-10-01  Slaven Rezic  <slaven@rezic.de>
    Release 1.38_51
    Just recreated distribution with a changed SIGNATURE.
    Release 1.38_50
    Don't allow XXE (XML External Entities) processing while parsing
    SVG files. Addresses RT #118205. This is a potentially
    incompatible change; however usually SVG files do not rely on XXE.
* Mon Apr 20 2015 coolo@suse.com
- updated to 1.38
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2015-04-19  Slaven Rezic  <slaven@rezic.de>
    Release 1.38
    Pod typo fixes (by hatorikibble)
    New xt tests (synopsis, strict, kwalitee, by hatorikibble)
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.37
  see /usr/share/doc/packages/perl-Image-Info/CHANGES
  2014-12-31  Slaven Rezic  <slaven@rezic.de>
    Release 1.37
    Stable release with all changes in 1.36_51..1.36_52
  2014-12-29  Slaven Rezic  <slaven@rezic.de>
    Release 1.36_52
    Handle invalid TIFF chunks: stop processing if an unrecognized
    fieldtype is encountered. This is an additional fix for RT #100847.
  2014-12-19  Slaven Rezic  <slaven@rezic.de>
    Release 1.36_51
    Use IO::Scalar instead of opening a scalar, for all
    perls < 5.21.7. This is to prevent possible segmentation faults
    with faulty images. See RT #100847 and
    https://rt.perl.org/Ticket/Display.html?id=123443
    Fix a "Variable declared in conditional statement" error.
    Fix a couple of typos.
  2012-07-05  Slaven Rezic  <slaven@rezic.de>
    Release 1.36
    Stable release with all changes in 1.35_50..1.35_51
  2013-06-28  Slaven Rezic  <slaven@rezic.de>
    Release 1.35_51
    Ignore reading jpeg thumbnail image with no content, patch
    provided by Kosei Moriyama,
    https://github.com/eserte/image-info/pull/2)
  2013-05-06  Slaven Rezic  <slaven@rezic.de>
    Release 1.35_50
    Fixed pod_cov.t test.
  2013-04-10  Slaven Rezic  <slaven@rezic.de>
    Release 1.35
    Stable release with the change in 1.34_50
  2013-04-03  Slaven Rezic  <slaven@rezic.de>
    Release 1.34_50
    image_info on Jpeg with bad EXIF data produced "substr outside of
    string" exception in Image::TIFF (RT #84122, patch provided by
    Steve Purkis)
  2013-02-29  Slaven Rezic  <slaven@rezic.de>
    Release 1.34
    Stable release with all changes in 1.33_50..1.33_51
  2013-01-28  Slaven Rezic  <slaven@rezic.de>
    Release 1.33_51
    Handle corrupt JPEG files with extraneous bytes
  2013-01-25  Slaven Rezic  <slaven@rezic.de>
    Release 1.33_50
    Limited support for WBMP files.
  2012-11-03  Slaven Rezic  <slaven@rezic.de>
    Release 1.33
    Added test image for RT #78471.
  2012-10-25  Slaven Rezic  <slaven@rezic.de>
    Release 1.32_52
    Handle BMP files with negative heights (RT #78471).
  2012-10-24  Slaven Rezic  <slaven@rezic.de>
    Release 1.32_51
    Signature fix.
  2012-10-23  Slaven Rezic  <slaven@rezic.de>
    Release 1.32_50
    Repacked because of Module::Install 1.04 problems (see mail from
    Miyagawa). Now Image::Info is again using good old EUMM.
  2012-02-21  Slaven Rezic  <slaven@rezic.de>
    Release 1.32
    Stable release with all changes in 1.31_50..1.31_51
  2011-12-28  Slaven Rezic  <slaven@rezic.de>
    Release 1.31_51
    Release 1.31_50
    SVG files without XML preamble are now also recognized.
    Bundled Module::Install 1.04.
* Sat Apr  9 2011 coolo@novell.com
- initial package 1.31
  * created by cpanspec 1.78.04
